user/dev discussion of public-inbox itself
 help / color / mirror / code / Atom feed
From: Eric Wong <e@80x24.org>
To: meta@public-inbox.org
Subject: [PATCH 1/2] edit: propagate correct editor exit code
Date: Fri,  8 Nov 2019 20:20:17 +0000	[thread overview]
Message-ID: <20191108202018.15680-2-e@80x24.org> (raw)
In-Reply-To: <20191108202018.15680-1-e@80x24.org>

exit($?) is never correct, since ($? >> 8) is needed to extract
the correct exit code, as other information (e.g. such as signal)
is encoded in $? in addition to the exit code.
---
 script/public-inbox-edit | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/script/public-inbox-edit b/script/public-inbox-edit
index f2090abf..24b7ed8b 100755
--- a/script/public-inbox-edit
+++ b/script/public-inbox-edit
@@ -149,7 +149,11 @@ retry_edit:
 			chomp(my $op = <STDIN> || '');
 			$op = lc($op);
 			goto retry_edit if $op eq 'r';
-			exit $? if $op eq 'q';
+			if ($op eq 'q') {
+				# n.b. we'll lose the exit signal, here,
+				# oh well; "q" is user-specified anyways.
+				exit($? >> 8);
+			}
 			last if $op eq 'c'; # continuing
 			print STDERR "\`$op' not recognized\n";
 		}

  reply	other threads:[~2019-11-08 20:20 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-08 20:20 [PATCH 0/2] edit: minor bug fixes Eric Wong
2019-11-08 20:20 ` Eric Wong [this message]
2019-11-08 20:20 ` [PATCH 2/2] edit: check for write errors writing "From_" line Eric Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://public-inbox.org/README

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191108202018.15680-2-e@80x24.org \
    --to=e@80x24.org \
    --cc=meta@public-inbox.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/public-inbox.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).